#
# spec file for package storage-fixup
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           storage-fixup
Version:        0.2
Release:        51.2
Summary:        Storage Fixup Script
License:        BSD-3-Clause
Group:          System/Base
Url:            http://git.kernel.org/?p=linux/kernel/git/tj/storage-fixup.git
Source0:        %{name}-%{version}.tar.bz2
Source1:        storage-fixup.service
Source2:        storage-fixup.system-sleep
# PATCH-FEATURE-UPSTREAM storage-fixup-config.patch gber@opensuse.org -- Adds additional harddisk models
Patch0:         storage-fixup-config.patch
Requires:       bash
Requires:       coreutils
Requires:       dmidecode
Requires:       hdparm
Requires:       scsi
Requires:       sed
Requires:       smartmontools
%{?systemd_requires}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
#!ExclusiveArch:  %ix86 ia64 x86_64

%description
storage-fixup executes fixup commands for devices matched using dmi and
hal properties.  This is primarily to adjust too aggressive ATA APM
settings which makes the drive unload its head frequently shortening
its lifespan.

%prep
%autosetup -p1

%build

%install
%make_install
install -D -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/storage-fixup.service
install -D -p -m 755 %{SOURCE2} %{buildroot}%{_prefix}/lib/systemd/system-sleep/storage-fixup

%pre
if /usr/bin/chkconfig boot.storage-fixup 2>/dev/null | grep -q on; then
    touch /run/enable_storage_fixup_service
fi
%service_add_pre storage-fixup.service

%post
%service_add_post storage-fixup.service
if [ -f /run/enable_storage_fixup_service ]; then
    /usr/bin/systemctl --quiet enable storage-fixup.service
    rm -f /run/enable_storage_fixup_service
fi

%preun
%service_del_preun storage-fixup.service

%postun
%service_del_postun storage-fixup.service

%files
%defattr(-,root,root)
%doc LICENSE
%config(noreplace) %{_sysconfdir}/storage-fixup.conf
%{_unitdir}/storage-fixup.service
%dir %{_prefix}/lib/systemd/system-sleep/
%{_prefix}/lib/systemd/system-sleep/storage-fixup
%{_sbindir}/storage-fixup
%{_mandir}/man8/storage-fixup.8*

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Wed Aug 19 2020 Callum Farmer <callumjfarmer13@gmail.com>
- Fixes for %%_libexecdir changing to /usr/libexec (bsc#1174075)
* Wed Nov 19 2014 gber@opensuse.org
- run spec-cleaner
- add storage-fixup-config.patch with additional harddisk models
- port to systemd
* Thu Aug 26 2010 gber@opensuse.org
- make boot.storage-fixup exit gracefully if /usr is on NFS
* Thu Aug 27 2009 coolo@novell.com
- pmtools got split, update to require dmidecode
- remove exclusivearch again (this is noarch)
* Mon Dec  1 2008 ro@suse.de
- added ExclusiveArch (dependency package pmtools has the same)
* Sun Nov 23 2008 teheo@suse.de
- quiet option implemented
- updated config, 3 machines added
* Wed Oct  1 2008 seife@suse.de
- folded patches into tarball
- updated config, 10 machines added
* Tue Sep 16 2008 seife@suse.de
- bugfixes from current git:
  - trim keys and properties
  - drop superfluous double quotes around $()
- updated config:
  - add Dell Vostro 1400, Dell Inspiron 1525, Samsung Q45,
    Mac Mini 1,1, Acer Aspire 1690, HP dv9500.
* Tue Aug 19 2008 seife@suse.de
- fix rpmlint errors in the init script
* Wed May 28 2008 seife@suse.de
- this fixes bug bnc#386555
- new version 0.2, no longer depends on HAL, License now BSD
* Mon May 26 2008 seife@suse.de
- move pm-utils hook to /usr/lib, fix rpmlint warnings
* Fri May 23 2008 teheo@suse.de
- New package
